DH_INSTALLEXAMPLES(1)

NAME
dh_installexamples - installiert Beispieldateien in die Paketbauverzeichnisse.

ÜBERSICHT
dh_installexamples [Debhelper-Optionen] [-A] [-XElement] [Datei …]

BESCHREIBUNG
dh_installexamples ist ein Debhelper-Programm, das für die Installation von Beispielen in usr/share/doc/Paket/examples in die Paketbauverzeichnissen zuständig ist.

Ab Debhelper-Kompatibilitätsstufe 11 wird dh_install in debian/tmp nach Dateien suchen, wenn es sie nicht im aktuellen Verzeichnis findet (oder wo auch immer Sie ihm mit --sourcedir aufgetragen haben zu suchen).

DATEIEN

debian/Paket.examples
    listet zu installierende Beispieldateien oder -verzeichnisse auf.

    Falls die Originalautoren ein examples Verzeichnis bereitstellen, werden Sie in dieser Datei meist eher examples/* als examples verwenden wollen. Das letztere würde /usr/share/doc/package/examples/examples erzeugen, was Sie selten wollen.

    unterstützt Ersetzungsvariablen in Kompatibilitätsstufe 13 oder neuer, wie in debhelper(7) beschrieben.

OPTIONEN

-A, --all
    installiert jegliche durch Befehlszeilenparameter angegebenen Dateien in ALLEN Paketen, auf die es sich auswirkt.

--sourcedir=Verz
    schaut im angegebenen Verzeichnis nach Dateien, die installiert werden sollen. Diese Option erfordert Kompatibilitätsstufe 11 oder höher (sie wird in Kompatibilitätsstufe 10 und darunter stillschweigend ignoriert).

    Beachten Sie, dass dies nicht das Gleiche wie die Option --sourcedirectory ist, die von dh_auto_*-Befehlen benutzt wird. Sie benötigen diese Option selten, da dh_installexamples in Debhelper-Kompatibilitätsstufe 11 und darüber automatisch in debian/tmp nach Dateien sucht.

--doc-main-package=Hauptpaket
    setzt das Hauptpaket für ein Dokumentationspaket. Dies wird zur Installation der Dokumentation des Dokumentationspakets in /usr/share/doc/Hauptpaket benutzt, wie es das Debian-Richtlinienhandbuch 3.9.7 in §12.3 empfiehlt.

    In Kompatibilitätsstufe 11 (oder höher) ist diese Option nur dann nützlich, wenn Debhelpers automatische Erkennung des Hauptpakets falsch ist. Die Option kann außerdem benutzt werden, um eine Warnung von Debhelper zu unterdrücken, wenn die automatische Erkennung fehlschlägt, die Voreinstellung aber korrekt funktioniert.

    Diese Option kann nicht benutzt werden, wenn dh_installexamples angewiesen wurde, auf mehrere Pakete einzuwirken. Falls Sie diese Option benötigen, werden Sie sie üblicherweise mit -p kombinieren müssen, um sicherzustellen, dass auf genau ein Paket eingewirkt wird.

    The X-Doc-Main-Package field can be used instead since debhelper/13.28. It has similar semantics but does not require command line options.

-XElement, --exclude=Element
    schließt Dateien von der Installation aus, die irgendwo in ihrem Dateinamen Element enthalten.

<Datei …
    installiert diese Dateien (oder Verzeichnisse) als Beispiele in das erste Paket, auf das es sich auswirkt (oder in alle Pakete, falls -A angegeben wurde).

ANMERKUNGEN
Beachten Sie, dass dh_installexamples klaglos ganze Verzeichnishierarchien kopiert, falls Sie es verlangen (ähnlich cp -a). Wenn es ein Verzeichnis installieren soll, übernimmt es auch den kompletten Verzeichnisinhalt.

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>